Jump to content
Tomich2010

WinXP and MT4/5...как решить проблему установки?

Recommended Posts

Андрей Свечков
Только что, Mikhail Mikhailovich сказал:

Что же делать с 1-го марта тем, у кого vds на windows server 2003? Новый терминал туда не ставится...

Если безвыходная ситуация, то как временная мера, торговать по вебтерминалу.

  • Upvote 1

 Suum cuique

Share this post


Link to post
Share on other sites
AntFX
29 минут назад, Mikhail Mikhailovich сказал:

Что же делать с 1-го марта тем, у кого vds на windows server 2003? Новый терминал туда не ставится...

Видимо, переходить на VDS с windows server 2010.

  • Upvote 1

1

Share this post


Link to post
Share on other sites
Marluk

Время жесткача. Вначале отключили любимую фишку /skipupdate. Теперь вот описанный метод установки MT4 под XP перестал работать. Так что меняйте ваши окошки. В следующем году наверное MT4 вообще отключат. Я вот думаю может все таки есть возможность запустить, делали портировали?

Share this post


Link to post
Share on other sites
Player 2

А на виртуалке это всё работает? А то может можно поставить 10-ю винду на виртуалку в XP. Я правда так никогда не делал, но вот 8-я винда в 7-й у меня работала без проблем.

Share this post


Link to post
Share on other sites
Marluk
1 час назад, Player 2 сказал:

А на виртуалке это всё работает? А то может можно поставить 10-ю винду на виртуалку в XP. Я правда так никогда не делал, но вот 8-я винда в 7-й у меня работала без проблем.

 

Возни немеряно, все равно на 10 надо мигрировать. Я вот MQ не понимаю все равно они скорее всего 4 уберут через год-два и зачем было убирать с XP. Вот Google Chrome не обновляется и все, но никто его не отключает.

Share this post


Link to post
Share on other sites
Player 2
20 minutes ago, Marluk said:

Возни немеряно

Если XP потянет виртуалку, то возни как раз будет меньше, чем при переустановке винды. 10-я винда это вообще троян.

Share this post


Link to post
Share on other sites
Tomich2010

Так, выдавало ошибку обновления, но работало....

А теперь и вовсе работать перестала!

 

Вот что пишет в журнале:

 

2019.03.01 18:07:23.484    '12525570': connect failed [Старая версия]

2019.03.01 18:08:12.265    LiveUpdate: old version, try to download new one

 

И что делать собсно?!?! Или теперь можно забыть про WinXP???

Share this post


Link to post
Share on other sites
Sasha J
2 часа назад, Tomich2010 сказал:

Или теперь можно забыть про WinXP???

К сожалению, да. Установка новой версии терминала на XP не возможна.


С уважением, Жук Александра
Альпари

Будь в курсе! Оперативное информирование о всех важных изменениях в компании на Telegram https://t.me/alpariltd/

Share this post


Link to post
Share on other sites
Tomich2010

Капец...слов нет! %(((

Эх, выжимают с любимой XP всеми способами и все подряд! %(((

Share this post


Link to post
Share on other sites
MrВремя

Понимаю, что очень трудно отказаться от своих привычек, но это всего лишь обновление билда самой всеми любимой MT4, а не принудительная установка MT5. Придется привыкать, обновление любых программ и систем в современном мире неизбежно.

Share this post


Link to post
Share on other sites
LevelUp2000
26.01.2018 в 22:00, DimFilm сказал:

сам сежу на виндовс хр и слезать пока нет смысла, очень много переписывать и переделывать. Установку MT4 и МТ5 делаю так:

1. Версии которые работают безупречно на момент написание статьи это

МТ4 Билд 1090

МТ5 Билд 1745 новый тоже работает, но сижу на 1745 изза календаря во вкладке, у альпари нет вкладки календарь, только вкладка компания. У https://www.mql5.com/и https://www.metaquotes.net/ есть календарь который они убрали в обновлении. По этой причине пока сижу на 1745.

Пошаговый мануал;

Чистая ХП  с пакетом SP3 и ставим Microsoft .NET Framework 3.5 +  Internet Explorer Browser 8 (Internet Explorer Browser 8 нужен для корректного приема сертификата metaquotes.net, можно без него.

 

Весь пакет программ в блоке по ссылке.

Microsoft .NET Framework 3.0 - 4.1 любой

http://www.microsoft.com/download/en/details.aspx?id=21

Старый установщик МТ4 (альпари) alpari4setup.rar

https://cloud.mail.ru/public/AesS/rwPdjkwtU

 

Старый установщик МТ5

https://cloud.mail.ru/public/H9oR/qadBqqKyM

 

Вариант 2

Взять у кого уже стоит платформа, файл terminal.exe (4 версия) или terminal.exe (МТ5)

На диске С, создать папку МТ4, закинуть туда терминал terminal.exe и запустить, при первом запуске он скачает с metaquotes.net все недостающие файлы и обновиться по максимум возможного.

У меня несколько терминалов живут по папкам МТ1, МТ2, МТ3, МТ4, .... Конфликта нет, пока хватает Оперативной памяти:-)

Удачи!

Есть вопросы, пишите в личку, сделаем невозможное:-)

 

с 1 марта 2019 подскажи как быть? 

а то у меня пишет справа внизу терминала mt4 - фразу "старая версия"

у меня win xp sp 3 

Share this post


Link to post
Share on other sites
Fisht

Короче придумали как порезать ХРюшек!

Я не понимаю как устроены кишки,но если появляется надпись Старая версия,а ранее ...ехе не является приложением вин32,то это же не брокер пишет,а терминал обращается к разработчику каждый раз при включении. Вот и думаю,а не смогут ли умельцы исключить это "обращение к разработчику" и работать только с брокером?


 Не просто увидеть неизбежное в хаосе вероятного.

 

Share this post


Link to post
Share on other sites
Player 2
8 minutes ago, Fisht said:

Вот и думаю,а не смогут ли умельцы исключить это "обращение к разработчику" и работать только с брокером?

Если там обращение к разработчику, то его можно заблокировать фаерволлом. Но скорее всего они меняют серверную часть у брокера, и именно она отвечает "старая версия". Но точно не знаю, это надо проверять.

Share this post


Link to post
Share on other sites
Fisht
11 минут назад, Player 2 сказал:

Если там обращение к разработчику, то его можно заблокировать фаерволлом. Но скорее всего они меняют серверную часть у брокера, и именно она отвечает "старая версия". Но точно не знаю, это надо проверять.

На другом форуме прошла идея-скачать на стороннем продвинутом компе терминал ,закачать на флешку и перенести на свой комп. Правда,тут же поступили сомнения,но не бывает же безвыходных ситуаций. Понятно,что это вредительство продумывают не дураки,но трудно верится,что спецы предусмотрели всё,а как же легендарная русская смекалка?


 Не просто увидеть неизбежное в хаосе вероятного.

 

Share this post


Link to post
Share on other sites
LevelUp2000

если найдете противоядие чтобы оставаться на windows xp и работать с metatrader 4 то отпишите сразу. пока буду ставить вторую операционку .. а что делать...... 

Share this post


Link to post
Share on other sites
DimFilm

Ребята привет!
Я переехал на виндовс 7, виндовс хр кручу на виртуальной машине, все тесты говорят что сигналы брокеров, практически всех, не только Альпари в массовом порядке обновили на сервере платформу. И с каждым днем сюрпризы продолжаются. Думаю про XP и МТ4, MT5 совместимости не будет. Еще не по теме, но МТ4 убивают тоже. Остается пользоваться МТ5 и встроенным майнингом в МТ5 🙂 Сам разработчик ответил, что майкАсофт не поддерживает платформу и нам не оставляет выбор.
Временный выход, в самом exe файле в строке версии хекс редактором сменить версию с 1090 на актуальную. Но эту дырку уже прикрыли ...


1 раз в месяц, просматриваю комментарии и отвечаю на вопросы. WhatsApp и Telegram - Рулит!

Share this post


Link to post
Share on other sites
DimFilm
27.02.2019 в 18:44, Mikhail Mikhailovich сказал:

Что же делать с 1-го марта тем, у кого vds на windows server 2003? Новый терминал туда не ставится...

Выход только один, убонту а лучше Xubontu, что бы не было сюрпризов, ставить с mimi.iso - подходит как временное решение.

 


1 раз в месяц, просматриваю комментарии и отвечаю на вопросы. WhatsApp и Telegram - Рулит!

Share this post


Link to post
Share on other sites
oossaa

Может есть спец, который осилит написание скрипта, подменяющего ответ МТ4 для серверной части брокера. То есть задача подменить версию операционки. 

Share this post


Link to post
Share on other sites
Fisht
14 часов назад, DimFilm сказал:

Временный выход, в самом exe файле в строке версии хекс редактором сменить версию с 1090 на актуальную. Но эту дырку уже прикрыли ...

Да было дело,последний период я на этом болтался.

14 часов назад, DimFilm сказал:

Я переехал на виндовс 7, виндовс хр кручу на виртуальной машине

Не знаю потянет моё старое железо. Нам с супругой и комп то толком не нужен,она в зуму играет,а я в фору на интерес,да внуки придут синий экран смерти делают на счёт три,тут ХРюшка в помощь,т.к. не убиваемая.

 

13 часов назад, DimFilm сказал:

Выход только один, убонту а лучше Xubontu, что бы не было сюрпризов, ставить с mimi.iso - подходит как временное решение.

Слушая,Дима,а ты можешь медленно пошагово для дурака переложить с этого момента? Плиз!


 Не просто увидеть неизбежное в хаосе вероятного.

 

Share this post


Link to post
Share on other sites
Fisht
13 часов назад, DimFilm сказал:

Выход только один, убонту а лучше Xubontu, что бы не было сюрпризов, ставить с mimi.iso - подходит как временное решение.

Почитал про убонту здесь  короче,альтернатива винде,заманчиво и пишут,что можно ставить вместе с  ранее установленной виндой и про отсутствие вирусов заманчиво,а как узнать сколько ресурсов надо на это удовольствие и почему "как временное решение"?


 Не просто увидеть неизбежное в хаосе вероятного.

 

Share this post


Link to post
Share on other sites
LevelUp2000
21 час назад, DimFilm сказал:

Ребята привет!
Я переехал на виндовс 7, виндовс хр кручу на виртуальной машине, все тесты говорят что сигналы брокеров, практически всех, не только Альпари в массовом порядке обновили на сервере платформу. И с каждым днем сюрпризы продолжаются. Думаю про XP и МТ4, MT5 совместимости не будет. Еще не по теме, но МТ4 убивают тоже. Остается пользоваться МТ5 и встроенным майнингом в МТ5 🙂 Сам разработчик ответил, что майкАсофт не поддерживает платформу и нам не оставляет выбор.
Временный выход, в самом exe файле в строке версии хекс редактором сменить версию с 1090 на актуальную. Но эту дырку уже прикрыли ...

подскажите пожалуйста какой прогой менять версию в .exe файле ? 

попробую 

Share this post


Link to post
Share on other sites
Krokus377

Вообще то, я праграмёр... но в данной ситуации,  честно скажу, на скорую руку, ни чего НЕТ. Что-то придумаем, но не сегодня... А пока, могу посоветовать: На флешку, скидываете портабл windows 8.1 (она, более не прихотливая), через BIOS отключаете свои жёсткие диски на компе, или ноуте. В том же BIOSе, устанавливаете выбор установки с флэшки, и вперёд! Скорость, конечно, будет не та, скальперам не советую... 

Share this post


Link to post
Share on other sites
Player 2
23 hours ago, Fisht said:

Почитал про убонту здесь  короче,альтернатива винде,заманчиво и пишут,что можно ставить вместе с  ранее установленной виндой и про отсутствие вирусов заманчиво,а как узнать сколько ресурсов надо на это удовольствие и почему "как временное решение"?

Я бы на виртуалку попробовал поставить. Это гораздо проще всего остального. Скачиваете VirtualBox, устанавливаете в ней седьмую винду, и уже в ней загружаете MT4. Я не гарантирую что это сработает, т.к. не делал так и  у меня нет WinXP, но теоретически должно заработать. Главное чтобы комп потянул.

 

On 3/2/2019 at 4:12 PM, oossaa said:

Может есть спец, который осилит написание скрипта, подменяющего ответ МТ4 для серверной части брокера. То есть задача подменить версию операционки. 

Для этого надо знать API, а он закрыт.

  • Upvote 1

Share this post


Link to post
Share on other sites
Krokus377
11 минут назад, Player 2 сказал:

Я не гарантирую что это сработает, т.к. не делал

 

12 минут назад, Player 2 сказал:

Для этого надо знать API, а он закрыт.

 

Серверы работают, брокеры запретили... можете проверить, делается просто...

Share this post


Link to post
Share on other sites
Mikhail Mikhailovich
02.03.2019 в 03:44, DimFilm сказал:

Выход только один, убонту а лучше Xubontu, что бы не было сюрпризов, ставить с mimi.iso - подходит как временное решение.

 

Заранее прошу прощения за возможную некомпетентность. Вы имеете в виду связку Linux - Wine - MT4?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×